Last modified: 2013-10-19 00:37:08 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 45756 - Rename to Education program
Rename to Education program
Status: RESOLVED WORKSFORME
Product: MediaWiki extensions
Classification: Unclassified
EducationProgram (Other open bugs)
unspecified
All All
: Lowest trivial (vote)
: ---
Assigned To: Nobody - You can work on this!
: easy
Depends on:
Blocks: messages
  Show dependency treegraph
 
Reported: 2013-03-05 22:00 UTC by Nemo
Modified: 2013-10-19 00:37 UTC (History)
6 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Nemo 2013-03-05 22:00:50 UTC
We don't use title case.
Comment 1 Jeroen De Dauw 2013-03-06 00:32:29 UTC
Rename what?
Comment 2 Nemo 2013-03-06 06:57:35 UTC
(In reply to comment #1)
> Rename what?

The extension, when not written in CamelCase, and all the occurrences of its name within itself.
Comment 3 Jeroen De Dauw 2013-03-06 09:26:54 UTC
Sounds like hassle for no good reason. As far as I'm concerned this is WONTFIX and WORKSFORME at the same time.
Comment 4 Nemo 2013-03-06 09:46:46 UTC
(In reply to comment #3)
> Sounds like hassle for no good reason. 

The good reason is consistency: nowhere else we use such style. Anyway, setting priority accordingly.
Comment 5 This, that and the other (TTO) 2013-10-14 11:06:28 UTC
What is supposed to be renamed here?
Comment 6 Nemo 2013-10-14 11:19:40 UTC
(In reply to comment #5)
> What is supposed to be renamed here?

The whole extension.
Comment 7 Andre Klapper 2013-10-14 15:45:01 UTC
Lots of work for no real gain, so I'll be bold and close. 
Also see comment 3 for co-maintainer comment.
Comment 8 MZMcBride 2013-10-14 16:14:41 UTC
Consistency seems like a real gain. I think we're accepting patches here and the bug is already triaged appropriately. Re-opening.
Comment 9 MZMcBride 2013-10-14 16:15:03 UTC
Tagging it with the "easy" keyword for good measure.
Comment 10 Siebrand Mazeland 2013-10-14 18:51:04 UTC
As far as I can tell, the name of the education program is Education Program, which is a proper name, and should be capitalisation as proper names should be capitalised, which is how the name giver intended it. It's iPod, Windows XP and Education Program.
Comment 11 MZMcBride 2013-10-14 21:14:10 UTC
Nemo: can you clarify what specifically is needed here?
Comment 12 This, that and the other (TTO) 2013-10-14 21:33:19 UTC
(In reply to comment #10)
> As far as I can tell, the name of the education program is Education Program,
> which is a proper name, and should be capitalisation as proper names should
> be
> capitalised, which is how the name giver intended it. It's iPod, Windows XP
> and
> Education Program.

Indeed; also, extensions like "Title Blacklist" and "Flagged Revisions" use title case as well.
Comment 13 Bartosz Dziewoński 2013-10-19 00:37:08 UTC
Indeed it does. The internal name might be in CamelCase, but that's actually consistent with other extensions as well.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links